Commit 0b66cd85 authored by drastik's avatar drastik

Minor tweak, check if form has payproc. Remove Civi 4.4 from compatibility...

Minor tweak, check if form has payproc.  Remove Civi 4.4 from compatibility because I don't think recent changes are compatible.
parent e1adbe46
......@@ -14,7 +14,6 @@
<releaseDate>2015-10-09</releaseDate>
<version>1.9.2</version>
<compatibility>
<ver>4.4</ver>
<ver>4.5</ver>
<ver>4.6</ver>
</compatibility>
......
......@@ -183,6 +183,9 @@ function stripe_civicrm_buildForm($formName, &$form) {
* that processor.
*/
function stripe_get_key($form) {
if (empty($form->_paymentProcessor)) {
return;
}
// Only return first value if Stripe is the only/default.
if ($form->_paymentProcessor['payment_processor_type'] == 'Stripe') {
if (isset($form->_paymentProcessor['password'])) {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment